# This is the location for the files of the "repolib" sub package:
%global repolib %{_javadir}/repository.jboss.com/maven2-brew/org/ebaysf/web/cors-filter/%{version}

Name: ebay-cors-filter
Version: 1.0.1
Release: 1%{?dist}
Summary: eBay CORS filter
Group: Development/Libraries
License: ASL 2.0
URL: https://github.com/eBay/cors-filter

# This is the main source code of the filter:
Source0: https://github.com/eBay/cors-filter/archive/cors-filter-%{version}.tar.gz

# This Ant build file is part of the downstream build process, for
# environments where Maven isn't available:
Source1: build.xml

BuildArch: noarch

BuildRequires: ant
BuildRequires: java7-devel
BuildRequires: jpackage-utils
BuildRequires: tomcat6-servlet-2.5-api

Requires: java
Requires: jpackage-utils

%description
CORS (Cross Origin Resource Sharing) is a mechanism supported by W3C to
enable cross origin requests in web-browsers. CORS requires support from
both browser and server to work. This is a Java servlet filter
implementation of server-side CORS for web containers such as Apache
Tomcat.

%package repolib
Summary: %{name} maven repository

%description repolib
%{name} maven repository

%prep
%setup -q -n cors-filter-cors-filter-%{version}

%build
# Copy the Ant build script to the directory containing the source of
# the SDK:
cp %{SOURCE1} build.xml

# Populate the lib directory with symlinks to the required dependencies that
# will be used to create the compiler classpath:
mkdir lib
while read jar
do
  ln -s $(build-classpath ${jar}) lib/.
done <<.
tomcat6-servlet-2.5-api
.

# Perform the build using Ant:
ant

%install

# Install the files for the main package:
mkdir -p %{buildroot}%{_javadir}/%{name}
cp target/cors-filter.jar %{buildroot}%{_javadir}/%{name}/cors-filter.jar

# Install the files for the repolib package:
mkdir -p %{buildroot}%{repolib}
cp target/cors-filter.jar %{buildroot}%{repolib}/cors-filter-%{version}.jar
cp pom.xml %{buildroot}%{repolib}/cors-filter-%{version}.pom

%files
%{_javadir}/%{name}/
%doc LICENSE
%doc NOTICE
%doc README.md

%files repolib
%{repolib}

%changelog
* Sun Jan 25 2015 Juan Hernandez <juan.hernandez@redhat.com> - 1.0.1-1
- Initial packaging.
